uniform mat4 u_ProjectionMatrix;
uniform mat4 u_ModelViewMatrix;
in vec3 v_Vertex;
in vec3 v_Color;
in vec3 v_Normal;
out vec4 f_Color;
void
main(void) 
{
float i=max(0.0,
            dot(normalize((u_ModelViewMatrix*vec4(v_Normal,0.0)).xyz),
                -normalize((u_ModelViewMatrix*vec4(v_Vertex,1.0)).xyz)));
f_Color=vec4(v_Color*(0.2+i),1.0);
gl_Position=u_ProjectionMatrix*(u_ModelViewMatrix*vec4(v_Vertex,1.0));
}
